Bug 131728 - CAN-2004-0832 Certain malformed NTLMSSP packets could crash the NTLM helpers provided by Squid
Summary: CAN-2004-0832 Certain malformed NTLMSSP packets could crash the NTLM helpers ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL: http://www.squid-cache.org/bugs/show_...
Whiteboard:
Keywords: Security
Depends On:
Blocks: FC3Target
TreeView+ depends on / blocked
 
Reported: 2004-09-03 17:23 UTC by Robert Scheck
Modified: 2014-08-31 23:26 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2004-09-29 15:36:24 UTC


Attachments (Terms of Use)
squid-2.5.STABLE5-ntlm_fetch_string.patch (1.21 KB, patch)
2004-09-03 17:25 UTC, Robert Scheck
no flags Details | Diff

Description Robert Scheck 2004-09-03 17:23:59 UTC
Description of problem:
Certain malformed NTLMSSP packets could crash the NTLM helpers 
provided by Squid.

Version-Release number of selected component (if applicable):
squid-2.5.STABLE5-5

Actual results / Expected results:
Patch applying, I'll attached a patch merged from upstream.

Additional info:
This bug report is *not* a duplicate of bug #125507, #125595 - it's 
a new issue.

Comment 1 Robert Scheck 2004-09-03 17:25:55 UTC
Created attachment 103443 [details]
squid-2.5.STABLE5-ntlm_fetch_string.patch

Comment 2 Robert Scheck 2004-09-29 15:36:24 UTC
"This closes #133970, #133931, #131728, #128143, #126726", closing now.


Note You need to log in before you can comment on or make changes to this bug.